Check evaluate job result (cache)
curl --request GET \
--url https://studio.edgeimpulse.com/v1/api/{projectId}/deployment/evaluate/cache \
--header 'x-api-key: <api-key>'import requests
url = "https://studio.edgeimpulse.com/v1/api/{projectId}/deployment/evaluate/cache"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://studio.edgeimpulse.com/v1/api/{projectId}/deployment/evaluate/cache', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"result": [
{
"learnBlockId": 123,
"confusionMatrix": {},
"trainingLabels": [
"<string>"
],
"classificationLabels": [
"<string>"
],
"accuracy": {
"raw": 123,
"withAnomaly": 123
},
"totalWindowCount": 123,
"totalCorrectWindowCount": {
"raw": 123,
"withAnomaly": 123
}
}
],
"error": "<string>"
}Check evaluate job result (cache)
Get evaluate job result, containing detailed performance statistics for every possible variant of the impulse. This only checks cache, and throws an error if there is no data in cache.
GET
/
api
/
{projectId}
/
deployment
/
evaluate
/
cache
Check evaluate job result (cache)
Authorizations
ApiKeyAuthenticationJWTAuthenticationJWTHttpHeaderAuthenticationOAuth2
Path Parameters
Project ID
Query Parameters
Impulse ID. If this is unset then the default impulse is used.
Was this page helpful?
⌘I